package com.ruoyi.web.modules.industryservice.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.industryservice.domain.BizFamilyRanch;

public interface BizFamilyRanchMapper
{
    BizFamilyRanch selectBizFamilyRanchById(Long id);

    int countByUniqueExcludeId(@Param("statYear") Integer statYear, @Param("statMonth") Integer statMonth,
            @Param("villageDeptId") Long villageDeptId, @Param("enterpriseName") String enterpriseName,
            @Param("excludeId") Long excludeId);

    BizFamilyRanch selectByUnique(@Param("statYear") Integer statYear, @Param("statMonth") Integer statMonth,
            @Param("villageDeptId") Long villageDeptId, @Param("enterpriseName") String enterpriseName);

    List<BizFamilyRanch> selectBizFamilyRanchList(BizFamilyRanch query);

    int insertBizFamilyRanch(BizFamilyRanch row);

    int updateBizFamilyRanch(BizFamilyRanch row);

    int deleteBizFamilyRanchByIds(@Param("ids") Long[] ids);
}
